org.optaplanner.core.impl.solver.event

## Interface SolverLifecycleListener<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation
  All Superinterfaces:
    EventListener
  All Known Subinterfaces:
    Acceptor, ConstructionHeuristicForager, ConstructionHeuristicPhase<Solution_>, ConstructionHeuristicPhaseLifecycleListener<Solution_>, CustomPhase<Solution_>, EntityIndependentValueSelector, EntityPlacer, EntitySelector, ExhaustiveSearchPhase<Solution_>, ExhaustiveSearchPhaseLifecycleListener<Solution_>, FinalistPodium, IterableSelector<T>, ListIterableSelector<T>, LocalSearchForager, LocalSearchPhase<Solution_>, LocalSearchPhaseLifecycleListener<Solution_>, MoveSelector, PartitionedSearchPhase<Solution_>, PartitionedSearchPhaseLifecycleListener<Solution_>, Phase<Solution_>, PhaseLifecycleListener<Solution_>, PillarSelector, Selector, SubChainSelector, Termination, ValueSelector
  All Known Implementing Classes:
    AbstractAcceptor, AbstractCachingEntitySelector, AbstractCachingMoveSelector, AbstractCachingValueSelector, AbstractCompositeTermination, AbstractConstructionHeuristicForager, AbstractEntitySelector, AbstractFinalistPodium, AbstractLocalSearchForager, AbstractMoveSelector, AbstractPhase, AbstractSelector, AbstractTabuAcceptor, AbstractTermination, AbstractValueSelector, AcceptedLocalSearchForager, AndCompositeTermination, BasicPlumbingTermination, BestScoreFeasibleTermination, BestScoreTermination, BestSolutionRecaller, CachingEntitySelector, CachingMoveSelector, CachingValueSelector, CartesianProductMoveSelector, ChangeMoveSelector, ChildThreadPlumbingTermination, CompositeAcceptor, CompositeMoveSelector, ConstructionHeuristicPhaseLifecycleListenerAdapter, DefaultConstructionHeuristicForager, DefaultConstructionHeuristicPhase, DefaultCustomPhase, DefaultExhaustiveSearchPhase, DefaultLocalSearchPhase, DefaultPartitionedSearchPhase, DefaultPillarSelector, DefaultSubChainSelector, DowncastingValueSelector, EntityDependentSortingValueSelector, EntityIndependentFilteringValueSelector, EntityIndependentInitializedValueSelector, EntityTabuAcceptor, ExhaustiveSearchDecider, FilteringEntitySelector, FilteringMoveSelector, FilteringValueSelector, FromEntityPropertyValueSelector, FromSolutionEntitySelector, FromSolutionPropertyValueSelector, GenericMoveSelector, GreatDelugeAcceptor, HighestScoreFinalistPodium, HillClimbingAcceptor, InitializedValueSelector, KOptMoveSelector, LateAcceptanceAcceptor, LocalSearchPhaseLifecycleListenerAdapter, MimicRecordingEntitySelector, MimicRecordingValueSelector, MimicReplayingEntitySelector, MimicReplayingValueSelector, MoveIteratorFactoryToMoveSelectorBridge, MoveListFactoryToMoveSelectorBridge, MoveTabuAcceptor, NearEntityNearbyEntitySelector, NearEntityNearbyValueSelector, NoChangePhase, OrCompositeTermination, PhaseLifecycleListenerAdapter, PhaseToSolverTerminationBridge, PillarChangeMoveSelector, PillarSwapMoveSelector, PooledEntityPlacer, ProbabilityEntitySelector, ProbabilityMoveSelector, ProbabilityValueSelector, QueuedEntityPlacer, QueuedValuePlacer, ReinitializeVariableValueSelector, ScoreCalculationCountTermination, SelectedCountLimitEntitySelector, SelectedCountLimitMoveSelector, SelectedCountLimitValueSelector, SelectionCacheLifecycleBridge, ShufflingEntitySelector, ShufflingMoveSelector, ShufflingValueSelector, SimulatedAnnealingAcceptor, SolutionTabuAcceptor, SolverLifecycleListenerAdapter, SortingEntitySelector, SortingMoveSelector, SortingValueSelector, StepCountingHillClimbingAcceptor, StepCountTermination, StrategicOscillationByLevelFinalistPodium, SubChainChangeMoveSelector, SubChainSwapMoveSelector, SwapMoveSelector, TailChainSwapMoveSelector, TimeMillisSpentTermination, UnimprovedStepCountTermination, UnimprovedTimeMillisSpentScoreDifferenceThresholdTermination, UnimprovedTimeMillisSpentTermination, UnionMoveSelector, ValueTabuAcceptor

      public interface SolverLifecycleListener<Solution_>
      extends EventListener

  See Also:
    `SolverLifecycleListenerAdapter`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `solvingEnded(DefaultSolverScope<Solution_> solverScope)`
    `void` | `solvingStarted(DefaultSolverScope<Solution_> solverScope)`

- - ### Method Detail

    - #### solvingStarted

          void solvingStarted(DefaultSolverScope<Solution_> solverScope)

    - #### solvingEnded

          void solvingEnded(DefaultSolverScope<Solution_> solverScope)

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.